Subject: Using precondition names in XML

From: Wilfredo Sánchez Vega <[email-masked]>
Date: Tue, 20 Sep 2005 16:50:37 -0700

Section 3.1.5 of RFC 3253 (DAV + versioning) says defines  
DAV:supported-report as:

     <!ELEMENT supported-report report>

   Which means it has to have exactly one report element.

   But DAV:supported-report is also used as the name of a  
precondition in section 3.6, which means that one should return this  
XML, according to 1.6.1:

<?xml version="1.0"?>
<D:error xmlns:D="DAV:">
  <D:supported-report/>
</D:error>

   Which is problematic since it uses an empty supported-report which  
is inconsistent with the element definition in 3.1.5.

   Am I reading this wrong?

   Also, I can't find an element definition for DAV:error in RFCs  
3253 or 2518.  Where is it defined?

     Thanks,
     -wsv

---

From: Julian Reschke <[email-masked]>
Date: Thu, 22 Sep 2005 10:19:03 +0200

Wilfredo Sánchez Vega wrote:
>   But DAV:supported-report is also used as the name of a precondition in 
> section 3.6, which means that one should return this XML, according to 
> 1.6.1:
> 
> <?xml version="1.0"?>
> <D:error xmlns:D="DAV:">
>  <D:supported-report/>
> </D:error>
> 
>   Which is problematic since it uses an empty supported-report which is 
> inconsistent with the element definition in 3.1.5.
> 
>   Am I reading this wrong?
> 
>   Also, I can't find an element definition for DAV:error in RFCs 3253 or 
> 2518.  Where is it defined?

DTDs in WebDAV specs aren't used for validation, what counts is the spec 
prose.

Unfortunately, only the newer specs are explicit about this, for 
instance: <http://greenbytes.de/tech/webdav/rfc3648.html#rfc.section.1>.

Best regards, Julian